== Changelog ==

= 4.16.3 =

* Changed admin UI in the "Getting posts" section.

= 4.16.2 =

* Fixed displaying post ID to admins only.

= 4.16.1 =

* Added a new option in the Debug section for displaying the post ID just before the post title.
* Changed the comment for an option.
* Fixed i18n for a string.

= 4.16.0 =

* Added a comment in Custom field type fields.
* It's now possible to add custom classes to the span element of custom fields.
* Added `pis_cf_add_attribute` filter. It allows to add custom attributes to the span element of custom fields.
* Added a comment for "Skip this number of posts" (thanks to @china_guy).
* Fixed missing i18n (thanks to @china_guy).
* Fixed getting all posts by recent comments (thanks to @china_guy).
* Fixed "Read more..." behavior (thanks to @china_guy).

= 4.15.1 =

* Changed date format in `pis_get_current_datetime()` function, now forced to `Y-m-d` (YYYY-MM-DD).
* Added filter to date and time format in `pis_get_current_datetime()` function.
* The word `now` used as Custom field value in the Custom field query panel will be changed in the current date, ignoring time by default. This can be changed using a filter.

= 4.15.0 =

* Added compatibility with Yoast SEO plugin when determining the main category of a post.
* Cleaned and beautified HTML source code.
* Updated compatibility to WordPress 5.7.

= 4.14.0 =

* Added new links to plugin line in the WordPress plugins management page.
* Changed functions names in `pis-duplicate.js` to avoid conflicts with Duplicate Widgets plugin.
* Load the JS for duplicating a widget only if "Duplicate Widgets" plugin is not active.
* Updated compatibility to WordPress 5.6.

= 4.13.0 =

* Added function to duplicate the widget.
* Changed some strings.

= 4.12.1 =

* Changed some strings.

= 4.12.0 =

* Added fields for date and time formatting.

= 4.11.0 =

* In "Get posts from username", added option to get posts from a category (instead of a custom field key) that has the same name as the currently logged-in user.

= 4.10.3 =

* Added time passed in the debug section, when the cache is active, and reorganized items.
* Now uninstall delete all transients created by this plugin, not only the transients with the widget ID in their names.
* Removed use of PHP `time()` when creating automatic shortcode ID. In a shortcode, the user must define a `shortcode_id` when using the cache. This fixes proliferation of transients.

= 4.10.2 =

* Fixed HTML output for time, thanks to [saajo-lab](https://github.com/saajo-lab) for his post [here](https://github.com/aldolat/posts-in-sidebar/issues/41).

= 4.10.1 =

* Added missing domain in a string.

= 4.10.0 =

* Added option to get posts from current user login name.
* Added current page URL to debug.
* The widget introduction is now passed through PHP trim to remove extra spaces, carriage returns, etc.

= 4.9.0 =

* Totally revamped cache management.
* The word `now` used as Custom field value in the Custom field query panel will be changed in the current date and time.
* In debug section, if an option is active, the widget will display "true".
* Removed use of `date_i18n()`.
* Fixed printing the correct class for custom field key.
* Added new filter for adding hidden (protected) custom fields to the dropdown menu in the widget admin (section "Displaying posts" > "The custom fields" > "Display this custom field").

= 4.8.5 =
* Added sanitization for $shortcode_id.
* Fixed PHP notice for $transient_id variable.

= 4.8.4 =

* Improved cache management.
* Display date and time of the cache expiration in the debug section.
* Added an ID when the shortcode has not an option for the ID.

= 4.8.3 =

* Removed non-breakable space between the label and the select/checkbox menus.

= 4.8.2 =

* Added a new option to choose the HTML tag for post title (thanks [@ugotta](https://wordpress.org/support/users/ugotta/) for the suggestion).
* Minor editings.

= 4.8.1 =

* Added a new option for the shortcode to define the id of the HTML container (useful when we have multiple shortcodes and we want to give a unique style to each instance).
* Fixed applying CSS in "Page Builder" by SiteOrigin plugin.
* Fixed applying correct id to ul element when using the shortcode.

= 4.8.0 =

* Added new section for post formats when changing the query in single posts or in an archive page.
* Added a filter for the `img` element of the featured image (thanks [@chancarlo](https://github.com/chancarlo) for the suggestion).

= 4.7.7 =

* Fixed the displaying of custom title when modifying the query in single posts/pages (thanks [@emmagbro](https://wordpress.org/support/users/emmagbro/) for reporting it).
* Code optimization.

= 4.7.6 =

* The link to the archive page can be automatically generated in single post or archive pages.
* The default options are in a separate function now to simplify the plugin.
* Code optimization.

= 4.7.5 =

* The displayed custom field value can now be filtered.
* The returned output of a meta query can now be filtered.

= 4.7.4 =

* It is no longer necessary to enter the custom field value in the "Custom field query" panel.
* Fixed the stripping of operators containing `<` or `>` in custom field query.

= 4.7.3 =

* Added support for private custom post types.

= 4.7.2 =

* Added option to display the number of comments only.
* Added option to hide the comments section if there is no comment.
* Fixed the displaying of comments number.

= 4.7.1 =

* Reverted widget title escaping which can break use of the widget_title filter. Thanks to @mlang38 for reporting this.
* Fixed link to review page on wordpress.org when viewing the plugin list page.

= 4.7.0 =

* Added new option to filter posts in the same category/tag/author/custom-field by searching for the title of the main post.
* Added "Post type", "Relevance (when searching)", and "Preserve post parent order" in "Order posts by" option.
* Added new options when changing the query in single posts or in an archive page.
* Now custom post types are supported when changing the query in single posts.
* Reorganized some sub-panels and added colors in panel titles.
* Checked all files with WordPress Coding Standard for PHPCS.
* Removed old comment for HTML in widget introduction.
* Fixed displaying the query in debug section when the query contains multidimensional arrays.
* Hardened security.

= 4.6.0 =

* Added option to get posts from the current archive page (category, tag, and author).
* Changed wp_kses to wp_kses_post for widget introduction.
* Now debug options are displayed without execution.

= 4.5.2 =

* Fixed opening widgets containers when used with SiteOrigin page builder.

= 4.5.1 =

* Fixed displaying UTF-8 charset when shortening titles and excerpts.

= 4.5.0 =

* Added options for title and WordPress-generated excerpt length unit.
* Added filter for HTML arrows in title and excerpt.
* Added CSS ID selector to ul.

= 4.4.0 =

* Added option to shorten post titles.

= 4.3.0 =

* Added option to get posts from the current tag, when on a single post.
* Added option to assign post classes via `get_post_class()`.
* Fixed empty p tag when no excerpt or no image.
* Fixed post modification date/time.
* Minor fixes.

= 4.2.0 =

* Added option to display the post time and modification time.
* Aligned shortcode options to main options.
* Comments are not linked to comments section in the post by default.

= 4.1 =

* Added option to get posts by recent comments.
* Added option to display all the custom fields of the post.

= 4.0 =

* Added section for retrieving posts from multiple custom fields.
* Added option for retrieving posts with/without password.
* Added option for retrieving posts with a certain password.
* Now panels do not collapse after saving the widget.

= 3.8.8 =

* Added option to get multiple post types.
* Removed option for displaying query number (it's displayed by default now).

= 3.8.7 =

* Fixed link on titles and title arrows.
* Fixed a bug where, regardless of the state of "Display the featured image of the post" checkbox, the featured image was always visible if the "Display this section before the title of the post" checkbox were active.

= 3.8.6 =

* Added option to get posts from a certain amount of time ago.
* Removed empty items from the array for the query.
* Removed some default settings in custom taxonomy query.

= 3.8.5 =

* Updated the description in "When on single posts, get posts from the current category".

= 3.8.4 =

* Added option to maintain active other parameters when on single post (requested by techsmurfy).
* Added option to sort categories of the main post before getting the posts for the sidebar. When the user wants to get posts from the current category, now the user can choose to fetch posts from the main category of the main post (i.e. the category with the lowest ID) or from the category with the lowest key ID in the array of categories (requested by techsmurfy).
* Added options to move certain parts before/after the title.
* Removed empty lines in the HTML source.
* Added Indonesian translation, thanks to Jordan Silaen.

= 3.8.3 =

* Added option to display debugging information to admins only.
* Now the custom field value for getting posts via custom field key can be the taxonomy ID (requested by morfe1).
* Removed Italian l10n from `languages/` directory, because the Italian language pack in GlotPress is completed.
* Hardening security on i18n.

= 3.8.2 =

* Rewritten function for displaying the Read more.
* Completely removed the HTML title attribute on links.
* Aligned widget and shortcode options.
* Minor corrections.

= 3.8.1 =

* Exclude current post even if the user has specified a list of IDs.
* Removed title attribute on links.

= 3.8 =

* FIX: The "Rich Content" option for excerpt correctly executes shortcodes now.
* If the length of a WordPress-generated excerpt is smaller than or equal to the maximum length defined by the user for the excerpt, the "Read more..." text is automatically hidden.
* Reduced widget width to 600px in the admin area.

= 3.7 =

* NEW: Added support to get posts, when on single post, from user-defined category/tag using custom field (requested by Mike S).
* NEW: Added support for changing number of posts when on single post.
* FIX: fixed displaying comments string when using languages different from English.

= 3.6 =

* NEW: now the user can remove the link of the featured image.

= 3.5 =

* NEW: Added support to get posts by the author of the current post (requested by Derek).
* FIX: fixed getting posts by category slug.
* Updated the shortcodes options.

= 3.4 =

* Updated the shortcodes options.

= 3.3.1 =

* FIX: fixed wrong characters displaying in custom field values (requested by [bubdev](https://wordpress.org/support/profile/bubdev)).
* Minor improvements.

= 3.3 =

* NEW: Added option to truncate the custom field content (requested by [bubdev](https://wordpress.org/support/profile/bubdev)).

= 3.2 =

* NEW: Added support to get posts from the category of the current post (requested by [wendygordon](https://wordpress.org/support/profile/wendygordon)).
* Minor improvements.

= 3.1 =

* NEW: Added option to display the modification date (requested by [ecdltf](https://wordpress.org/support/profile/ecdltf)).

= 3.0.1 =

* Fixed shortcodes execution in "Full content" type of text (thanks to [fabianfabian](https://wordpress.org/support/profile/fabianfabian) for reporting).
* Added check if the post is private.
* Added check for current post in pages.
* Added link to review page in the plugins list page.

= 3.0 =

* NEW: Added the shortcode.
* NEW: Added Gravatar support for authors.
* NEW: Added "Any" to posts status.
* NEW: Added an option to change the tooltip in the title link.
* Reorganized the widget sections.
* Changed some files names.
* Changed translation domain into posts-in-sidebar.

= 2.0.4 =

* Fixed custom container DIV (thanks to felipebadr).
* Minor improvements.

= 2.0.3 =

* FIX: Fixed sticky posts.
* The complete list of widget options is now fully displayed.
* Other minor improvements.

= 2.0.2 =

* FIX: Fixed link on widget title.

= 2.0.1 =

* FIX: Fixed printing local style.

= 2.0 =

* NEW: Support for taxonomy complex queries (requires WordPress 4.1).
* NEW: Support for date queries.
* NEW: Support for for getting and excluding posts by multiple authors.
* NEW: Support for queries based on search.
* NEW: Support for getting and excluding posts that are children of other posts.
* NEW: Support for custom taxonomies.
* NEW: Added support for custom link in featured image (requested by troy-f).
* NEW: Changed appearance for widget sections that are collapsible now.
* WordPress 4.1 is required (for nested taxonomy handling).
* Added URL of the site and WordPress version in the debug section.
* Switched to PHP5 `__contruct()` in creating the widget.
* Improved security.
* Fixed PHP notices when upgrading from previous versions.
* Updated the Hebrew translation (thanks to Ahrale).

= 1.28 =

* Added check for "NULL" (as string) value in certain variables.
* FIX: Now the plugin correctly displays attachment post type.
* FIX: Custom featured images are now displayed when the user choose no text to display.

= 1.27 =

* NEW: Now it's possible to display the name of the taxonomy in the archive link.
* FIX: resolved multiple PHP notices.

= 1.26 =

* Compatibility with Relevantssi plugin (requested by KTS915).
* Updated the Hebrew translation (thanks to Ahrale).

= 1.25 =

* NEW: Added options to use a custom image instead of the standard featured image (requested by joaogsr).
* NEW: Added class "sticky" if a post is sticky (requested by acrok).
* CHANGE: Added a checkbox to completely hide the widget if no posts are found (instead of removing the "no posts text" in order to do this).
* Added placeholders in HTML fields.

= 1.24 =

* FIX: resolved "No posts" issue when upgrading from 1.22 version.
* Updated Hebrew (thanks to Ahrale) and Italian translations.

= 1.23 =

* NEW: the widget can be hidden now if no posts are found (requested by der_velli).
* NEW: Added the option to display the full size of the featured image (requested by Ilaria).
* Moved plugin's functions files into subfolder.
* Moved plugin's functions into separate file.
* Added debugging tools.
* Fixed one undefined index notice.
* Updated the Hebrew translation (thanks to Ahrale).
* Code improvements.

= 1.22 =

* NEW: Added an option to display only the "Read more..." link.
* Updated the Hebrew translation (thanks to Ahrale).
* Added Serbo-Croatian language (thanks to Borisa Djuraskovic).

= 1.21 =

* NEW: Added an option to exclude the current post in single post page or the current page in single page.
* Added an alert in the widget admin if the current theme doesn't support the Post Thumbnail feature.

= 1.20 =

* FIX: Now the dropdown menu for post type selection correctly displays all the public post types (thanks to pathuri).

= 1.19 =

* NEW: Selection of categories and tags is in form of comma separated values. This will prevent server load in case there are too many terms. Also, now the user can get posts from multiple categories.

= 1.18 =

* NEW: The section with author, date, and comments can now be displayed before the post's excerpt.
* Various small improvements.

= 1.17 =

* NEW: Added option to exclude posts with certain IDs.
* NEW: Added option to display image before post title.
* NEW: Completed options for Order by parameter.
* Now the plugin requires at least WordPress 3.5.
* Code optimization.
* The class for the custom container class is now sanitized.
* The custom container receives now only a single CSS class.
* Completed the PhpDocumentor tags.

= 1.16.1 =

* NEW: The cache can be flushed now.
* Updated Hebrew translation.

= 1.16 =

* NEW: Added a field to define a class for a container.
* NEW: Now the user can define a cache when retrieving posts from database.

= 1.15.1 =

* FIX: The HTML for ul is now fixed.

= 1.15 =

* NEW: The posts can be retrieved using the ID (requested by Matt).
* NEW: The list of posts can now be displayed in a numbered list (requested by Sean).
* NEW: The excerpt can be displayed up to the "more" tag (requested by EvertVd).
* FIX: There are no more empty spaces after "Category" or "Tags" text.
* The widget panel has been slightly enlarged.
* Deleted unused options in widgets dropdown menus.
* Minor refinements.

= 1.14 =

* FIX: fetching posts from tags now works correctly.
* Updated Hebrew translation, thanks to Ahrale.

= 1.13 =

* NEW: Added option for adding user defined styles (requested by Ahrale).
* NEW: Added option for setting the space around the image (requested by Ahrale).
* NEW: Added check for rtl languages (the arrow can now be from right to left, requested by Ahrale).
* NEW: Added option for ordering by "Menu order" and "Comment count" (requested by hypn0ticnet).
* Updated Hebrew translation (thanks to Ahrale).
* Minor bug fixings.
* Minor enhancements.

= 1.12 =

* NEW: added option for rich content.
* NEW: added option for displaying the custom fields value/key of the post.
* NEW: added option for removing bullets and extra left space for the list elements.
* Code improvements.

= 1.11 =

* FIX: image align has been fixed (thanks to Clarry).

= 1.10 =

* FIX: If the post is password protected, now the post password form is displayed before showing the post.
* NEW: Now the user-defined excerpt can display a paragraph break, if any.
* NEW: Added Hebrew translation, thanks to Ahrale.
* Other minor changes.

= 1.9 =

* NEW: The space after each line can be defined via widget interface.
* NEW: The featured image can be aligned with text.
* NEW: Added `apply_filters` where needed.
* FIX: HTML structure for the archive link is now W3C valid, thanks to [cilya](http://wordpress.org/support/profile/cilya) for reporting it.
* Updated French translation, thanks to [cilya](http://wordpress.org/support/profile/cilya).
* Minor bug fixings.

= 1.8 =

* New: added post format as option to get posts.
* New: added option for link to custom post type archive.
* New: added option for link to post format archive.
* Other minor changes.

= 1.7 =

* New: The widget can display the author of the post.
* New: Now the user can choose which type of posts to display: posts, pages, custom post types, etc.
* New: The widget can display the full content (as in single posts).
* New: Now the user can add a custom "Read more" text.
* Added French translation by Thérèse Lachance.
* Code improvements and sanitization.

= 1.6.1 =

* Minor fixes.

= 1.6 =

* New: if in single post, the user can now stylize the current post in the sidebar (feature request from lleroy).

= 1.5 =

* New: Now the title of the widget can be linked to a user-defined URL (feature request from Mike).

= 1.4 =

* New: Now the user can add an introductory text to the widget (feature request from Mike).

= 1.3 =

* New: The date can be linkified or not.
* New: The widget panel now shows empty categories and tags.
* New: The 'No posts yet.' text can be customized.
* Bug fix: The markup no longer shows empty containers.
* Some minor enhancements.

= 1.2.1 =

* Changed the minimum required WordPress version to 3.3.
* Added Persian language, thanks to AlirezaJamali.

= 1.2 =

* Enhancement: Now the user can display the entire content for each post. Feature request from [sjmsing](http://wordpress.org/support/topic/plugin-posts-in-sidebar-great-plugin-feature-request)
* Moved screenshots to `/assets/` directory.

= 1.1 =

* Enhancement: Now it is possible to show the categories of the post
* Enhancement: Now it is possible to exclude posts coming from some categories and/or tags
* Moved the widget section into a separate file.

= 1.0.2 =

* Updated *Credits* section.

= 1.0.1 =

* Small typo in `readme.txt`.

= 1.0 =

* First release of the plugin.
